#!/bin/bash -xe
. conf/conf

DRUPAL_DB_PASSWORD="${DRUPAL_DB_PASSWORD:-password}"

# install the mysql server
apt install -y mariadb-server ||:
# installation "fails" when working in a chroot
# so we just ignore it
# should work on a regular system, but this part can't be tested in a chroot

# set up mysql with defaults
mysql_secure_installation < /sqldefaults

# add the drupal db
mysql -u root -e "CREATE DATABASE $DRUPAL_DB_NAME CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci;"
mysql -u root -e "GRANT SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, INDEX, ALTER, CREATE TEMPORARY TABLES ON $DRUPAL_DB_NAME.* TO '$DRUPAL_DB_USER'@'localhost' IDENTIFIED BY '$DRUPAL_DB_PASSWORD';"

## and have drupal do the site-install
#cd /var/www/html
#vendor/bin/drush site-install --db-url=mysql://drupaluser:$DRUPAL_DB_PASSWORD@localhost/drupal

# make sure perms are right
chown -R www-data:www-data /var/www/html
